summaryrefslogtreecommitdiffstats
path: root/office/libreoffice/open-libre-together.sh
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2011-01-09 19:02:59 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-01-10 15:04:47 -0600
commit0f8c8146182716c36eb941e96d646338b051ca78 (patch)
tree0c145aab69ec24b3665931c032a6ac0a06855e5d /office/libreoffice/open-libre-together.sh
parent0ac0b60edf2b38ecaaa1663aeab1845d46815a61 (diff)
downloadslackbuilds-0f8c8146182716c36eb941e96d646338b051ca78.tar.gz
slackbuilds-0f8c8146182716c36eb941e96d646338b051ca78.tar.xz
office/libreoffice: Updated for version 3.3.0rc2.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'office/libreoffice/open-libre-together.sh')
-rw-r--r--office/libreoffice/open-libre-together.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/office/libreoffice/open-libre-together.sh b/office/libreoffice/open-libre-together.sh
new file mode 100644
index 0000000000..aa6852da47
--- /dev/null
+++ b/office/libreoffice/open-libre-together.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# open-libre-together.sh
+#
+# Script to patch .desktop files from OpenOffice.org so that it can
+# coexist with LibreOffice
+
+# v1.00 - 2011/01/03 - Niels Horn <niels.horn@gmail.com>
+
+set -e
+
+if [ $(id -u) -ne 0 ]; then
+ echo "Sorry, need to be root to run this..."
+ exit 1
+fi
+
+cd /usr/share/applications
+
+for dt in base calc draw impress math writer; do
+ echo "Changing .desktop file for '$dt' ..."
+ sed -i "s|^Exec=s$cmd|Exec=/opt/openoffice.org3/program/s$cmd|" openoffice.org3-$dt.desktop
+done
+
+echo "All done..."
+